# eric4.Preferences.ToolConfigurationDialog

Module implementing a configuration dialog for the tools menu.

### Global Attributes

None

### Classes

ToolConfigurationDialog | Class implementing a configuration dialog for the tools menu.

### Functions

None

## ToolConfigurationDialog

Class implementing a configuration dialog for the tools menu.

### Derived from

QDialog, Ui_ToolConfigurationDialog

### Class Attributes

None

### Class Methods

None

### Methods

ToolConfigurationDialog | Constructor
__findModeIndex | Private method to find the mode index by its short name.
__swap | Private method used two swap two list entries given by their index.
__toolEntryChanged | Private slot to perform actions when a tool entry was changed.
getToollist | Public method to retrieve the tools list.
on_addButton_clicked | Private slot to add a new entry.
on_argumentsEdit_textChanged | Private slot called, when the arguments string was changed.
on_changeButton_clicked | Private slot to change an entry.
on_deleteButton_clicked | Private slot to delete the selected entry.
on_downButton_clicked | Private slot to move an entry down in the list.
on_executableButton_clicked | Private slot to handle the executable selection via a file selection dialog.
on_executableEdit_textChanged | Private slot called, when the executable was changed.
on_iconButton_clicked | Private slot to handle the icon selection via a file selection dialog.
on_iconEdit_textChanged | Private slot called, when the icon path was changed.
on_menuEdit_textChanged | Private slot called, when the menu text was changed.
on_newButton_clicked | Private slot to clear all entry fields.
on_redirectCombo_currentIndexChanged | Private slot called, when the redirection mode was changed.
on_separatorButton_clicked | Private slot to add a menu separator.
on_toolsList_currentRowChanged | Private slot to set the lineedits depending on the selected entry.
on_upButton_clicked | Private slot to move an entry up in the list.

### Static Methods

None

#### ToolConfigurationDialog (Constructor)

ToolConfigurationDialog(toollist, parent=None)

Constructor

toollist
  list of configured tools
parent
  parent widget (QWidget)

#### ToolConfigurationDialog.__findModeIndex

__findModeIndex(shortName)

Private method to find the mode index by its short name.

shortName
  short name of the mode (string)

Returns:
  index of the mode (integer)

#### ToolConfigurationDialog.__swap

__swap(itm1, itm2)

Private method used two swap two list entries given by their index.

itm1
  index of first entry (int)
itm2
  index of second entry (int)

#### ToolConfigurationDialog.__toolEntryChanged

__toolEntryChanged()

Private slot to perform actions when a tool entry was changed.

#### ToolConfigurationDialog.getToollist

getToollist()

Public method to retrieve the tools list.

Returns:
  a list of tuples containing the menu text, the executable, the executables arguments and a redirection flag

#### ToolConfigurationDialog.on_addButton_clicked

on_addButton_clicked()

Private slot to add a new entry.

#### ToolConfigurationDialog.on_argumentsEdit_textChanged

on_argumentsEdit_textChanged(text)

Private slot called, when the arguments string was changed.

text
  the new text (QString) (ignored)

#### ToolConfigurationDialog.on_changeButton_clicked

on_changeButton_clicked()

Private slot to change an entry.

#### ToolConfigurationDialog.on_deleteButton_clicked

on_deleteButton_clicked()

Private slot to delete the selected entry.

#### ToolConfigurationDialog.on_downButton_clicked

on_downButton_clicked()

Private slot to move an entry down in the list.

#### ToolConfigurationDialog.on_executableButton_clicked

on_executableButton_clicked()

Private slot to handle the executable selection via a file selection dialog.

#### ToolConfigurationDialog.on_executableEdit_textChanged

on_executableEdit_textChanged(text)

Private slot called, when the executable was changed.

text
  the new text (QString) (ignored)

#### ToolConfigurationDialog.on_iconButton_clicked

on_iconButton_clicked()

Private slot to handle the icon selection via a file selection dialog.

#### ToolConfigurationDialog.on_iconEdit_textChanged

on_iconEdit_textChanged(text)

Private slot called, when the icon path was changed.

text
  the new text (QString) (ignored)

#### ToolConfigurationDialog.on_menuEdit_textChanged

on_menuEdit_textChanged(text)

Private slot called, when the menu text was changed.

text
  the new text (QString) (ignored)

#### ToolConfigurationDialog.on_newButton_clicked

on_newButton_clicked()

Private slot to clear all entry fields.

#### ToolConfigurationDialog.on_redirectCombo_currentIndexChanged

on_redirectCombo_currentIndexChanged(index)

Private slot called, when the redirection mode was changed.

index
  the selected mode index (integer) (ignored)

#### ToolConfigurationDialog.on_separatorButton_clicked

on_separatorButton_clicked()

Private slot to add a menu separator.

#### ToolConfigurationDialog.on_toolsList_currentRowChanged

on_toolsList_currentRowChanged(row)

Private slot to set the lineedits depending on the selected entry.

row
  the row of the selected entry (integer)

#### ToolConfigurationDialog.on_upButton_clicked

on_upButton_clicked()

Private slot to move an entry up in the list.

Up